summaryrefslogtreecommitdiffstats
path: root/fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script
diff options
context:
space:
mode:
Diffstat (limited to 'fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script')
-rw-r--r--fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script/build.bat41
-rwxr-xr-xfluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script/build.sh46
2 files changed, 87 insertions, 0 deletions
diff --git a/fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script/build.bat b/fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script/build.bat
new file mode 100644
index 000000000..5274dad46
--- /dev/null
+++ b/fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script/build.bat
@@ -0,0 +1,41 @@
+@REM Copyright (C) 2019 Intel Corporation. All rights reserved.
+@REM SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
+
+@echo off
+set DIR_ROOT=%cd%\..
+
+echo "=== Verify the vscode status ==="
+call code --version
+IF %ERRORLEVEL%==0 (
+ echo "vscode is ready."
+) ELSE (
+ echo "VSCode is not installed, please install firstly."
+ exit /b 1
+)
+
+echo "=== Verify the docker status ==="
+call docker --version
+IF %ERRORLEVEL%==0 (
+ echo "docker is ready."
+) ELSE (
+ echo "Docker is not installed, please install firstly."
+ exit /b 1
+)
+
+cd %DIR_ROOT%\WASM-Debug-Server\Docker
+call docker build -t wasm-debug-server:1.0 .
+IF %ERRORLEVEL%==0 (
+ echo "wasm-debug-server image is ready."
+) ELSE (
+ echo "build wasm-debug-server image failed."
+ exit /b 1
+)
+
+cd %DIR_ROOT%\WASM-Toolchain\Docker
+call docker build -t wasm-toolchain:1.0 .
+IF %ERRORLEVEL%==0 (
+ echo "wasm-toolchain image is ready."
+) ELSE (
+ echo "build wasm-toolchain image failed."
+ exit /b 1
+) \ No newline at end of file
diff --git a/fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script/build.sh b/fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script/build.sh
new file mode 100755
index 000000000..c30cb5af2
--- /dev/null
+++ b/fluent-bit/lib/wasm-micro-runtime-WAMR-1.2.2/test-tools/wamr-ide/Script/build.sh
@@ -0,0 +1,46 @@
+# Copyright (C) 2019 Intel Corporation. All rights reserved.
+# SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
+
+#!/bin/bash
+
+# 1. verify the environment: vscode & docker
+# 1.1 if docker is installed, config docker command execution without sudo, promp if not installed and exit.
+# 1.2 if vscode is not installed, promp and exit.
+# 2. build wasm-toolchain & wasm-debug-server docker image
+
+DIR_ROOT=$(pwd)/..
+
+echo "=== Verify the vscode status ==="
+if [ "$(code --version)" ]; then
+ echo "VSCode is ready."
+else
+ echo "VSCode is not installed, please install firstly."
+ exit 1
+fi
+
+echo "=== Verify the docker status ==="
+if [ "$(docker --version)" ]; then
+ echo "Docker is ready."
+else
+ echo "Docker is not installed, please install firstly."
+ exit 1
+fi
+
+# setup docker command exectuion without sudo permission
+sudo groupadd docker
+sudo gpasswd -a ${USER} docker
+sudo service docker restart
+
+# create new group and execute the rest commands
+newgrp - docker << REST
+
+# 2. build wasm-debug-server docker image
+cd ${DIR_ROOT}/WASM-Debug-Server/Docker
+docker build -t wasm-debug-server:1.0 .
+
+# 3. build wasm-toolchain docker image
+cd ${DIR_ROOT}/WASM-Toolchain/Docker
+docker pull ubuntu:20.04
+docker build -t wasm-toolchain:1.0 .
+
+REST \ No newline at end of file